#ifndef VIRTUALTREEMODELPRIVATE_H
#define VIRTUALTREEMODELPRIVATE_H

#include "virtualtreemodel.h"

#include "../virtualmodelinterface/virtualmodelinterface.h"

class VirtualTreeModel::VirtualTreeModelPrivate : public VirtualModelInterface {
private:
  VirtualTreeModel &m_model;

public:
  explicit VirtualTreeModelPrivate(VirtualTreeModel &model);

public:
  void beginUpdate() override;
  void endUpdate() override;
  void queuedUpdate() override;
};

#endif // VIRTUALTREEMODELPRIVATE_H
